Bug 434423 - openais failed massrebuild attempt for GCC 4.3
Summary: openais failed massrebuild attempt for GCC 4.3
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: openais   
(Show other bugs)
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Steven Dake
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: fedora-ia64 gcc43errors
TreeView+ depends on / blocked
 
Reported: 2008-02-22 16:22 UTC by Jesse Keating
Modified: 2016-04-26 13:33 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-08 04:38:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jesse Keating 2008-02-22 16:22:34 UTC
This is an automatically filed bug for a failed rebuild attempt for GCC 4.3.

http://fedoraproject.org/wiki/JesseKeating/gcc43MassRebuildProposal

Please verify why this build failed and fix it.
http://koji.fedoraproject.org/koji/taskinfo?taskID=444733
Exit code was 1, check the build.log for the failed buildArch task.

Comment 1 Doug Chapman 2008-02-27 05:44:47 UTC
openais is trying to use the typ "struct ucred"

exec/ipc.c:675
char cmsg_cred[CMSG_SPACE (sizeof (struct ucred))];

this is defined in /usr/include/linux/socket.h however it is protected by:

#if defined(__KERNEL__) || !defined(__GLIBC__) || (__GLIBC__ < 2)

so, sounds like the openais code needs to be modified to use proper interfaces.



Comment 2 Steven Dake 2008-02-27 19:12:47 UTC
Doug,

Any chance anyone has a system with GCC 4.3 and these kernel headers on it that
I can login to so I can play with debugging this issue?  This problem is new to
gcc 4.3 or the latest kernel headers.  struct ucred is a proper interface for
atleast the last 5+ years so I'm not sure exactly what has changed or what the
expected "new" IPC authentication interface should be.

Regards
-steve

Comment 3 Steven Dake 2008-03-04 07:20:58 UTC
Pretty sure this is fixed now with the latest package build.

Comment 4 Bug Zapper 2008-05-14 05:32:53 UTC
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Matt Domsch 2008-07-08 04:38:45 UTC
builds as of 2008-07-03, version 0.84-1.fc10.


Note You need to log in before you can comment on or make changes to this bug.